const { SlashCommandBuilder, EmbedBuilder, PermissionsBitField } = require("discord.js");

module.exports = {
    data: new SlashCommandBuilder()
        .setName('clear')
        .setDescription('Usuwa określoną liczbę wiadomości.')
        .addIntegerOption(option =>
            option.setName('liczba_wiadomosci')
                .setDescription('Liczba wiadomości do usunięcia')
                .setRequired(true)),
    async execute(interaction) {
        const amount = interaction.options.getInteger('liczba_wiadomosci');

        if (amount <= 1 || amount > 100) {
            return interaction.reply({ content: 'Podaj liczbę z przedziału od 2 do 100.', ephemeral: true });
        }

        if (!interaction.member.permissions.has(PermissionsBitField.Flags.ManageMessages)) {
            return interaction.reply({ content: 'Nie masz uprawnień do usuwania wiadomości.', ephemeral: true });
        }

        await interaction.channel.bulkDelete(amount, true)
            .then(messages => {
                const embed = new EmbedBuilder()
                    .setColor('#0099ff')
                    .setTitle('Usunięto wiadomości!')
                    .setDescription(`Chiwawa przybiegła i przestraszyła listonosza! Usunięto ${messages.size} wiadomości.`)
                    .setThumbnail('https://media.discordapp.net/attachments/1212335636275658752/1225348537324142642/image0.gif?ex=6620cdc1&is=660e58c1&hm=3a6b35651149728a8de415565686609fa99a0fcda69cb95c614e38eaf3332a68&=');

                interaction.client.channels.cache.get('1212337557115773008').send({ embeds: [embed] });
                interaction.reply({ content: `Usunięto ${messages.size} wiadomości.`, ephemeral: true });
            })
            .catch(error => {
                console.error(error);
                interaction.reply({ content: 'Wystąpił błąd podczas usuwania wiadomości.', ephemeral: true });
            });
    },
};
